import type { Program } from 'estree';
import type { ComponentMetaState } from './types';
/**
 * This builds a generator function `generateMarkup` and adds it to the component JS's
 * compilation output. `generateMarkup` acts as the glue between component JS and its
 * template(s), including:
 *
 *  - managing reflection of attrs & props
 *  - instantiating the component instance
 *  - setting the internal state of that component instance
 *  - invoking component lifecycle methods
 *  - yielding the tag name & attributes
 *  - deferring to the template function for yielding child content
 */
export declare function addGenerateMarkupFunction(program: Program, state: ComponentMetaState, tagName: string, filename: string): void;
//# sourceMappingURL=generate-markup.d.ts.map