import type { ImportDeclaration, ExportNamedDeclaration, ExportAllDeclaration } from 'estree';
import type { NodePath } from 'estree-toolkit';
import type { ComponentMetaState } from './types';
/**
 * This accomplishes two things:
 *
 *  1. it replaces "lwc" with "@lwc/ssr-runtime" in an import specifier
 *  2. it makes note of the local var name associated with the `LightningElement` import
 */
export declare function replaceLwcImport(path: NodePath<ImportDeclaration>, state: ComponentMetaState): void;
/**
 * This handles lwc barrel exports by replacing "lwc" with "@lwc/ssr-runtime"
 */
export declare function replaceNamedLwcExport(path: NodePath<ExportNamedDeclaration>): void;
/**
 * This handles all lwc barrel exports by replacing "lwc" with "@lwc/ssr-runtime"
 */
export declare function replaceAllLwcExport(path: NodePath<ExportAllDeclaration>): void;
//# sourceMappingURL=lwc-import.d.ts.map